[ < ] | [ > ] |  | [ << ] | [ Up ] | [ >> ] |  |  |  |  | [Top] | [Contents] | [Index] | [ ? ]

#### 4.18.5.5 Radio Button

A radio button's type is "Radio Button".

#### Signals

Radio buttons send the following signals.

`signalRadButtonClicked`

  Generated when the radio button's state changes (on to off or vice-versa).

#### Attributes

Radio buttons publish the following attributes.

`Alpha`

  The alpha of the radio button images.

`Align`

  Either ``rbAlignLeft'` or ``rbAlignRight'`, aligns the icon and text.

`Caption`

  The caption (title) for the component.

#### Skin Attributes

Radio buttons support the following skin attributes.

`RadioButtonUp`

  The image drawn when the radio button is unpressed.

`RadioButtonDn`

  The image drawn when the radio button is pressed.

`RadioButtonOn`

  The image drawn over the radio button when it's state is "on".

`RadioButtonOff`

  The image drawn over the radio button when it's state is "off".

#### Properties

Radio buttons publish the following properties.

`Caption`

  The caption (title) of the radio button.

`State`

  Whether the component is "on" or "off". This property is read-only.

[ < ] | [ > ] |  | [ << ] | [ Up ] | [ >> ]

This document was generated using texi2html 1.76.